<?php
/*
Plugin Name: Moo Easy Digital Downloads Additional Fields
Plugin URI: http://moomoo.com.ua
Description: This plugin adds additional fields on checkout to Easy Digital Downloads
Version: 1.0.0
Author: MooMoo Web Studio
Author URI: http://moomoo.com.ua
License: GPL version 2 or later - http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
*/

// output our custom field HTML
function uni_edd_custom_checkout_fields() {
  ?>
	<p id="edd-phone-wrap">
		<label class="edd-label" for="edd-phone"><?php _e('Номер телефону'); ?></label>
		<span class="edd-description"><?php _e( 'Вкажіть свій номер телефону' ); ?></span>
		<input class="edd-input" type="text" name="edd_phone" id="edd-phone" placeholder="<?php _e('Номер телефону'); ?>" value=""/>
	</p>
	<?php
}
add_action('edd_purchase_form_user_info', 'uni_edd_custom_checkout_fields');

// check for errors with out custom fields
function uni_edd_validate_custom_fields($valid_data, $data) {
	if( empty( $data['edd_phone'] ) ) {
		// check for a phone number
		edd_set_error( 'invalid_phone', __('Будь ласка, вкажіть ваш номер телефону') );
	}
}
add_action('edd_checkout_error_checks', 'uni_edd_validate_custom_fields', 10, 2);

// store the custom field data in the payment meta
function uni_edd_store_custom_fields($payment_meta) {
	$payment_meta['phone']   = isset( $_POST['edd_phone'] ) ? sanitize_text_field( $_POST['edd_phone'] ) : '';
	return $payment_meta;
}
add_filter('edd_payment_meta', 'uni_edd_store_custom_fields');

// show the custom fields in the "View Order Details" popup
function uni_edd_purchase_details($payment_meta, $user_info) {
	$phone   = isset( $payment_meta['phone'] ) ? $payment_meta['phone'] : 'none';
	?>
	<li><?php echo __('Номер телефону:') . ' ' . $phone; ?></li>
	<?php
}
add_action('edd_payment_personal_details_list', 'uni_edd_purchase_details', 10, 2);